// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

/**
 * Protobuf type {@code com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto}
 */
public  final class GetHistoricalTradesRequestDto extends
    com.google.protobuf.GeneratedMessage implements
    // @@protoc_insertion_point(message_implements:com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto)
    GetHistoricalTradesRequestDtoOrBuilder {
  // Use GetHistoricalTradesRequestDto.newBuilder() to construct.
  private GetHistoricalTradesRequestDto(com.google.protobuf.GeneratedMessage.Builder<?> builder) {
    super(builder);
  }
  private GetHistoricalTradesRequestDto() {
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
  }
  private GetHistoricalTradesRequestDto(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    int mutable_bitField0_ = 0;
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!input.skipField(tag)) {
              done = true;
            }
            break;
          }
          case 10: {
            com.accelfin.server.messaging.dtos.TimestampDto.Builder subBuilder = null;
            if (start_ != null) {
              subBuilder = start_.toBuilder();
            }
            start_ = input.readMessage(com.accelfin.server.messaging.dtos.TimestampDto.parser(), extensionRegistry);
            if (subBuilder != null) {
              subBuilder.mergeFrom(start_);
              start_ = subBuilder.buildPartial();
            }

            break;
          }
          case 18: {
            com.accelfin.server.messaging.dtos.TimestampDto.Builder subBuilder = null;
            if (end_ != null) {
              subBuilder = end_.toBuilder();
            }
            end_ = input.readMessage(com.accelfin.server.messaging.dtos.TimestampDto.parser(), extensionRegistry);
            if (subBuilder != null) {
              subBuilder.mergeFrom(end_);
              end_ = subBuilder.buildPartial();
            }

            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradesRequestDto_descriptor;
  }

  protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradesRequestDto_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto.class, com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto.Builder.class);
  }

  public static final int START_FIELD_NUMBER = 1;
  private com.accelfin.server.messaging.dtos.TimestampDto start_;
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
   */
  public boolean hasStart() {
    return start_ != null;
  }
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
   */
  public com.accelfin.server.messaging.dtos.TimestampDto getStart() {
    return start_ == null ? com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : start_;
  }
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
   */
  public com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getStartOrBuilder() {
    return getStart();
  }

  public static final int END_FIELD_NUMBER = 2;
  private com.accelfin.server.messaging.dtos.TimestampDto end_;
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
   */
  public boolean hasEnd() {
    return end_ != null;
  }
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
   */
  public com.accelfin.server.messaging.dtos.TimestampDto getEnd() {
    return end_ == null ? com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : end_;
  }
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
   */
  public com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getEndOrBuilder() {
    return getEnd();
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (start_ != null) {
      output.writeMessage(1, getStart());
    }
    if (end_ != null) {
      output.writeMessage(2, getEnd());
    }
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (start_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getStart());
    }
    if (end_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getEnd());
    }
    memoizedSize = size;
    return size;
  }

  private static final long serialVersionUID = 0L;
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessage.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessage.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto)
      com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDtoOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradesRequestDto_descriptor;
    }

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradesRequestDto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto.class, com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto.Builder.class);
    }

    // Construct using com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
      }
    }
    public Builder clear() {
      super.clear();
      if (startBuilder_ == null) {
        start_ = null;
      } else {
        start_ = null;
        startBuilder_ = null;
      }
      if (endBuilder_ == null) {
        end_ = null;
      } else {
        end_ = null;
        endBuilder_ = null;
      }
      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradesRequestDto_descriptor;
    }

    public com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto getDefaultInstanceForType() {
      return com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto.getDefaultInstance();
    }

    public com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto build() {
      com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto buildPartial() {
      com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto result = new com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto(this);
      if (startBuilder_ == null) {
        result.start_ = start_;
      } else {
        result.start_ = startBuilder_.build();
      }
      if (endBuilder_ == null) {
        result.end_ = end_;
      } else {
        result.end_ = endBuilder_.build();
      }
      onBuilt();
      return result;
    }

    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto) {
        return mergeFrom((com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto other) {
      if (other == com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto.getDefaultInstance()) return this;
      if (other.hasStart()) {
        mergeStart(other.getStart());
      }
      if (other.hasEnd()) {
        mergeEnd(other.getEnd());
      }
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }

    private com.accelfin.server.messaging.dtos.TimestampDto start_ = null;
    private com.google.protobuf.SingleFieldBuilder<
        com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder> startBuilder_;
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
     */
    public boolean hasStart() {
      return startBuilder_ != null || start_ != null;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDto getStart() {
      if (startBuilder_ == null) {
        return start_ == null ? com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : start_;
      } else {
        return startBuilder_.getMessage();
      }
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
     */
    public Builder setStart(com.accelfin.server.messaging.dtos.TimestampDto value) {
      if (startBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        start_ = value;
        onChanged();
      } else {
        startBuilder_.setMessage(value);
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
     */
    public Builder setStart(
        com.accelfin.server.messaging.dtos.TimestampDto.Builder builderForValue) {
      if (startBuilder_ == null) {
        start_ = builderForValue.build();
        onChanged();
      } else {
        startBuilder_.setMessage(builderForValue.build());
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
     */
    public Builder mergeStart(com.accelfin.server.messaging.dtos.TimestampDto value) {
      if (startBuilder_ == null) {
        if (start_ != null) {
          start_ =
            com.accelfin.server.messaging.dtos.TimestampDto.newBuilder(start_).mergeFrom(value).buildPartial();
        } else {
          start_ = value;
        }
        onChanged();
      } else {
        startBuilder_.mergeFrom(value);
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
     */
    public Builder clearStart() {
      if (startBuilder_ == null) {
        start_ = null;
        onChanged();
      } else {
        start_ = null;
        startBuilder_ = null;
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDto.Builder getStartBuilder() {
      
      onChanged();
      return getStartFieldBuilder().getBuilder();
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getStartOrBuilder() {
      if (startBuilder_ != null) {
        return startBuilder_.getMessageOrBuilder();
      } else {
        return start_ == null ?
            com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : start_;
      }
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
     */
    private com.google.protobuf.SingleFieldBuilder<
        com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder> 
        getStartFieldBuilder() {
      if (startBuilder_ == null) {
        startBuilder_ = new com.google.protobuf.SingleFieldBuilder<
            com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder>(
                getStart(),
                getParentForChildren(),
                isClean());
        start_ = null;
      }
      return startBuilder_;
    }

    private com.accelfin.server.messaging.dtos.TimestampDto end_ = null;
    private com.google.protobuf.SingleFieldBuilder<
        com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder> endBuilder_;
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
     */
    public boolean hasEnd() {
      return endBuilder_ != null || end_ != null;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDto getEnd() {
      if (endBuilder_ == null) {
        return end_ == null ? com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : end_;
      } else {
        return endBuilder_.getMessage();
      }
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
     */
    public Builder setEnd(com.accelfin.server.messaging.dtos.TimestampDto value) {
      if (endBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        end_ = value;
        onChanged();
      } else {
        endBuilder_.setMessage(value);
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
     */
    public Builder setEnd(
        com.accelfin.server.messaging.dtos.TimestampDto.Builder builderForValue) {
      if (endBuilder_ == null) {
        end_ = builderForValue.build();
        onChanged();
      } else {
        endBuilder_.setMessage(builderForValue.build());
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
     */
    public Builder mergeEnd(com.accelfin.server.messaging.dtos.TimestampDto value) {
      if (endBuilder_ == null) {
        if (end_ != null) {
          end_ =
            com.accelfin.server.messaging.dtos.TimestampDto.newBuilder(end_).mergeFrom(value).buildPartial();
        } else {
          end_ = value;
        }
        onChanged();
      } else {
        endBuilder_.mergeFrom(value);
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
     */
    public Builder clearEnd() {
      if (endBuilder_ == null) {
        end_ = null;
        onChanged();
      } else {
        end_ = null;
        endBuilder_ = null;
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDto.Builder getEndBuilder() {
      
      onChanged();
      return getEndFieldBuilder().getBuilder();
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getEndOrBuilder() {
      if (endBuilder_ != null) {
        return endBuilder_.getMessageOrBuilder();
      } else {
        return end_ == null ?
            com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : end_;
      }
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
     */
    private com.google.protobuf.SingleFieldBuilder<
        com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder> 
        getEndFieldBuilder() {
      if (endBuilder_ == null) {
        endBuilder_ = new com.google.protobuf.SingleFieldBuilder<
            com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder>(
                getEnd(),
                getParentForChildren(),
                isClean());
        end_ = null;
      }
      return endBuilder_;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }


    // @@protoc_insertion_point(builder_scope:com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto)
  }

  // @@protoc_insertion_point(class_scope:com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto)
  private static final com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto();
  }

  public static com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<GetHistoricalTradesRequestDto>
      PARSER = new com.google.protobuf.AbstractParser<GetHistoricalTradesRequestDto>() {
    public GetHistoricalTradesRequestDto parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
        return new GetHistoricalTradesRequestDto(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<GetHistoricalTradesRequestDto> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<GetHistoricalTradesRequestDto> getParserForType() {
    return PARSER;
  }

  public com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

